Skip to main content
GET
/
api
/
v1
/
users
/
{user_id}
/
events
/
workouts
List Workouts
curl --request GET \
  --url https://api.example.com/api/v1/users/{user_id}/events/workouts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "start_time": "2023-11-07T05:31:56Z",
      "end_time": "2023-11-07T05:31:56Z",
      "source": {
        "provider": "apple_health",
        "device": "Apple Watch Series 9"
      },
      "name": "Morning Run",
      "zone_offset": "<string>",
      "duration_seconds": 123,
      "calories_kcal": 123,
      "distance_meters": 123,
      "avg_heart_rate_bpm": 123,
      "max_heart_rate_bpm": 123,
      "avg_pace_sec_per_km": 123,
      "elevation_gain_meters": 123
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "eyJpZCI6IjEyMzQ1Njc4OTAiLCJ0cyI6MTcwNDA2NzIwMH0",
    "previous_cursor": "<string>",
    "total_count": 150
  },
  "metadata": {
    "resolution": "raw",
    "sample_count": 123,
    "start_time": "2023-11-07T05:31:56Z",
    "end_time": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Open-Wearables-API-Key
string | null

Path Parameters

user_id
string<uuid>
required

Query Parameters

start_date
string
required
end_date
string
required
record_type
string | null
cursor
string | null
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

data
Workout · object[]
required
pagination
Pagination · object
required
metadata
TimeseriesMetadata · object
required